#' epiflows
#' 
#' @description 
#' `epiflows` is a package for predicting and visualising spread of infectious
#' diseases based on flows between geographical locations, e.g., countries.
#' `epiflows` provides functions for calculating spread estimates, handling flow
#' data, and visualization.
#' 
#' @details The main functions of the package are [make_epiflows()] for 
#' constructing an epiflows object and [estimate_risk_spread()] to estimate
#' potential spread. Visualization is available for maps, networks, and grids. 
#' 
#' For details, see the vignettes: \cr
#' `vignette("introduction", package = "epiflows")`\cr
#' `vignette("epiflows-class", package = "epiflows")`
#'
#' @name epiflows
#' @md
#' @docType package
NULL
